package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentPersonDetailBindingImpl extends FragmentPersonDetailBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.fragment_person_detail_picture_image_barrier, 27);
        sViewsWithIds.put(R.id.fragment_person_detail_actionbutton_scrollview, 28);
        sViewsWithIds.put(R.id.fragment_person_detail_buttonbar_barrier, 29);
        sViewsWithIds.put(R.id.divider, 30);
        sViewsWithIds.put(R.id.fragment_person_detail_header_basicdetails_text, 31);
        sViewsWithIds.put(R.id.fragment_person_detail_dob_barrier, 32);
        sViewsWithIds.put(R.id.fragment_person_detail_gender_barrier, 33);
        sViewsWithIds.put(R.id.fragment_person_detail_orgid_barrier, 34);
        sViewsWithIds.put(R.id.fragment_person_detail_username_barrier, 35);
        sViewsWithIds.put(R.id.fragment_person_detail_contact_details_header_textview, 36);
        sViewsWithIds.put(R.id.fragment_person_details_phonenum_imageview, 37);
        sViewsWithIds.put(R.id.phone_num_fieldname_text, 38);
        sViewsWithIds.put(R.id.fragment_person_detail_phonenum_barrier, 39);
        sViewsWithIds.put(R.id.email_icon_imageview, 40);
        sViewsWithIds.put(R.id.email_fieldname_text, 41);
        sViewsWithIds.put(R.id.email_barrier, 42);
        sViewsWithIds.put(R.id.address_icon_imageview, 43);
        sViewsWithIds.put(R.id.address_fieldname_textview, 44);
        sViewsWithIds.put(R.id.address_barrier, 45);
        sViewsWithIds.put(R.id.classes_heading_textview, 46);
        sViewsWithIds.put(R.id.classes_recyclerview, 47);
        sViewsWithIds.put(R.id.roles_and_permissions_heading_textview, 48);
        sViewsWithIds.put(R.id.roles_and_permissions_recyclerview, 49);
    }
    // views
    @NonNull
    private final androidx.core.widget.NestedScrollView mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback79;
    @Nullable
    private final android.view.View.OnClickListener mCallback80;
    @Nullable
    private final android.view.View.OnClickListener mCallback78;
    @Nullable
    private final android.view.View.OnClickListener mCallback81;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public FragmentPersonDetailBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 50, sIncludes, sViewsWithIds));
    }
    private FragmentPersonDetailBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (androidx.constraintlayout.widget.Barrier) bindings[45]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[25]
            , (android.widget.TextView) bindings[44]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[43]
            , (android.widget.TextView) bindings[26]
            , (com.google.android.material.button.MaterialButton) bindings[6]
            , (android.widget.TextView) bindings[46]
            , (androidx.recyclerview.widget.RecyclerView) bindings[47]
            , (com.google.android.material.button.MaterialButton) bindings[5]
            , (android.view.View) bindings[30]
            , (androidx.constraintlayout.widget.Barrier) bindings[42]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[23]
            , (android.widget.TextView) bindings[41]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[40]
            , (android.widget.TextView) bindings[24]
            , (android.widget.HorizontalScrollView) bindings[28]
            , (androidx.constraintlayout.widget.Barrier) bindings[29]
            , (com.google.android.material.button.MaterialButton) bindings[2]
            , (com.google.android.material.button.MaterialButton) bindings[8]
            , (android.widget.TextView) bindings[36]
            , (androidx.constraintlayout.widget.Barrier) bindings[32]
            , (android.widget.TextView) bindings[11]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[9]
            , (android.widget.TextView) bindings[10]
            , (com.google.android.material.button.MaterialButton) bindings[4]
            , (androidx.constraintlayout.widget.Barrier) bindings[33]
            , (android.widget.TextView) bindings[13]
            , (android.widget.TextView) bindings[12]
            , (android.widget.TextView) bindings[31]
            , (androidx.constraintlayout.widget.Barrier) bindings[34]
            , (android.widget.TextView) bindings[16]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[14]
            , (android.widget.TextView) bindings[15]
            , (androidx.constraintlayout.widget.Barrier) bindings[39]
            , (androidx.constraintlayout.widget.Barrier) bindings[27]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[1]
            , (com.google.android.material.button.MaterialButton) bindings[3]
            , (androidx.constraintlayout.widget.Barrier) bindings[35]
            , (android.widget.TextView) bindings[19]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[17]
            , (android.widget.TextView) bindings[18]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[37]
            , (com.google.android.material.button.MaterialButton) bindings[7]
            , (android.widget.TextView) bindings[38]
            , (com.google.android.material.button.MaterialButton) bindings[22]
            , (android.widget.TextView) bindings[21]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[20]
            , (android.widget.TextView) bindings[48]
            , (androidx.recyclerview.widget.RecyclerView) bindings[49]
            );
        this.addressConstraintlayout.setTag(null);
        this.addressValueTextview.setTag(null);
        this.changeAccountPasswordView.setTag(null);
        this.createAccountView.setTag(null);
        this.emailConstraintlayout.setTag(null);
        this.emailValueText.setTag(null);
        this.fragmentPersonDetailCallLinlayout.setTag(null);
        this.fragmentPersonDetailChat.setTag(null);
        this.fragmentPersonDetailDobFieldnametext.setTag(null);
        this.fragmentPersonDetailDobImageview.setTag(null);
        this.fragmentPersonDetailDobValuetext.setTag(null);
        this.fragmentPersonDetailEmailLinlayout.setTag(null);
        this.fragmentPersonDetailGenderFieldnametext.setTag(null);
        this.fragmentPersonDetailGenderValuetext.setTag(null);
        this.fragmentPersonDetailOrgidFieldnametext.setTag(null);
        this.fragmentPersonDetailOrgidImageview.setTag(null);
        this.fragmentPersonDetailOrgidValuetext.setTag(null);
        this.fragmentPersonDetailPictureImageview.setTag(null);
        this.fragmentPersonDetailTextLinlayout.setTag(null);
        this.fragmentPersonDetailUsernameFieldnametext.setTag(null);
        this.fragmentPersonDetailUsernameImageview.setTag(null);
        this.fragmentPersonDetailUsernameValuetext.setTag(null);
        this.manageParentalConsentButton.setTag(null);
        this.mboundView0 = (androidx.core.widget.NestedScrollView) bindings[0];
        this.mboundView0.setTag(null);
        this.phoneNumMessageImageview.setTag(null);
        this.phoneNumTextview.setTag(null);
        this.phonenumConstraintlayout.setTag(null);
        setRootTag(root);
        // listeners
        mCallback79 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback80 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 3);
        mCallback78 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        mCallback81 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 4);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x1000L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.presenter == variableId) {
            setPresenter((com.ustadmobile.core.controller.PersonDetailPresenter) variable);
        }
        else if (BR.editButtonMode == variableId) {
            setEditButtonMode((com.ustadmobile.core.view.EditButtonMode) variable);
        }
        else if (BR.loading == variableId) {
            setLoading((boolean) variable);
        }
        else if (BR.chatVisibility == variableId) {
            setChatVisibility((java.lang.Integer) variable);
        }
        else if (BR.fieldsEnabled == variableId) {
            setFieldsEnabled((boolean) variable);
        }
        else if (BR.changePasswordVisibility == variableId) {
            setChangePasswordVisibility((java.lang.Integer) variable);
        }
        else if (BR.createAccountVisibility == variableId) {
            setCreateAccountVisibility((java.lang.Integer) variable);
        }
        else if (BR.dateTimeMode == variableId) {
            setDateTimeMode((java.lang.Integer) variable);
        }
        else if (BR.manageParentConsentVisible == variableId) {
            setManageParentConsentVisible((boolean) variable);
        }
        else if (BR.timeZoneId == variableId) {
            setTimeZoneId((java.lang.String) variable);
        }
        else if (BR.person == variableId) {
            setPerson((com.ustadmobile.lib.db.entities.PersonWithPersonParentJoin) variable);
        }
        else if (BR.personImageAdapter == variableId) {
            setPersonImageAdapter((com.ustadmobile.port.android.view.util.ForeignKeyAttachmentUriAdapter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setPresenter(@Nullable com.ustadmobile.core.controller.PersonDetailPresenter Presenter) {
        this.mPresenter = Presenter;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.presenter);
        super.requestRebind();
    }
    public void setEditButtonMode(@Nullable com.ustadmobile.core.view.EditButtonMode EditButtonMode) {
        this.mEditButtonMode = EditButtonMode;
    }
    public void setLoading(boolean Loading) {
        this.mLoading = Loading;
    }
    public void setChatVisibility(@Nullable java.lang.Integer ChatVisibility) {
        this.mChatVisibility = ChatVisibility;
        synchronized(this) {
            mDirtyFlags |= 0x8L;
        }
        notifyPropertyChanged(BR.chatVisibility);
        super.requestRebind();
    }
    public void setFieldsEnabled(boolean FieldsEnabled) {
        this.mFieldsEnabled = FieldsEnabled;
    }
    public void setChangePasswordVisibility(@Nullable java.lang.Integer ChangePasswordVisibility) {
        this.mChangePasswordVisibility = ChangePasswordVisibility;
        synchronized(this) {
            mDirtyFlags |= 0x20L;
        }
        notifyPropertyChanged(BR.changePasswordVisibility);
        super.requestRebind();
    }
    public void setCreateAccountVisibility(@Nullable java.lang.Integer CreateAccountVisibility) {
        this.mCreateAccountVisibility = CreateAccountVisibility;
        synchronized(this) {
            mDirtyFlags |= 0x40L;
        }
        notifyPropertyChanged(BR.createAccountVisibility);
        super.requestRebind();
    }
    public void setDateTimeMode(@Nullable java.lang.Integer DateTimeMode) {
        this.mDateTimeMode = DateTimeMode;
        synchronized(this) {
            mDirtyFlags |= 0x80L;
        }
        notifyPropertyChanged(BR.dateTimeMode);
        super.requestRebind();
    }
    public void setManageParentConsentVisible(boolean ManageParentConsentVisible) {
        this.mManageParentConsentVisible = ManageParentConsentVisible;
    }
    public void setTimeZoneId(@Nullable java.lang.String TimeZoneId) {
        this.mTimeZoneId = TimeZoneId;
        synchronized(this) {
            mDirtyFlags |= 0x200L;
        }
        notifyPropertyChanged(BR.timeZoneId);
        super.requestRebind();
    }
    public void setPerson(@Nullable com.ustadmobile.lib.db.entities.PersonWithPersonParentJoin Person) {
        this.mPerson = Person;
        synchronized(this) {
            mDirtyFlags |= 0x400L;
        }
        notifyPropertyChanged(BR.person);
        super.requestRebind();
    }
    public void setPersonImageAdapter(@Nullable com.ustadmobile.port.android.view.util.ForeignKeyAttachmentUriAdapter PersonImageAdapter) {
        this.mPersonImageAdapter = PersonImageAdapter;
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        boolean personDateOfBirthInt0 = false;
        com.ustadmobile.port.android.view.util.ForeignKeyAttachmentUriAdapter personDetailFragmentFOREIGNKEYADAPTERPERSON = null;
        int stringExtKtVisibleIfNotNullOrEmptyPersonUsername = 0;
        com.ustadmobile.core.controller.PersonDetailPresenter presenter = mPresenter;
        com.ustadmobile.lib.db.entities.PersonParentJoin personParentJoin = null;
        java.lang.String personUsername = null;
        int stringExtKtVisibleIfNotNullOrEmptyPersonEmailAddr = 0;
        int personGenderInt0ViewVISIBLEViewGONE = 0;
        int androidxDatabindingViewDataBindingSafeUnboxChatVisibility = 0;
        int stringExtKtVisibleIfNotNullOrEmptyPersonPersonAddress = 0;
        int personGender = 0;
        long personDateOfBirth = 0;
        java.lang.String personPersonAddress = null;
        boolean personPersonOrgIdJavaLangObjectNull = false;
        java.util.Map<java.lang.Integer,java.lang.Integer> personConstantsGENDERMESSAGEIDMAP = null;
        int personPersonOrgIdJavaLangObjectNullViewVISIBLEViewGONE = 0;
        java.lang.String personPhoneNum = null;
        int stringExtKtVisibleIfNotNullOrEmptyPersonPhoneNum = 0;
        java.lang.Integer chatVisibility = mChatVisibility;
        long personPersonUid = 0;
        java.lang.Integer changePasswordVisibility = mChangePasswordVisibility;
        java.lang.Integer createAccountVisibility = mCreateAccountVisibility;
        int androidxDatabindingViewDataBindingSafeUnboxCreateAccountVisibility = 0;
        int personDateOfBirthInt0ViewVISIBLEViewGONE = 0;
        int personParentJoinJavaLangObjectNullViewVISIBLEViewGONE = 0;
        boolean personParentJoinJavaLangObjectNull = false;
        int androidxDatabindingViewDataBindingSafeUnboxChangePasswordVisibility = 0;
        int androidxDatabindingViewDataBindingSafeUnboxDateTimeMode = 0;
        java.lang.String personPersonOrgId = null;
        java.lang.Integer dateTimeMode = mDateTimeMode;
        java.lang.String personEmailAddr = null;
        java.lang.String timeZoneId = mTimeZoneId;
        com.ustadmobile.lib.db.entities.PersonWithPersonParentJoin person = mPerson;
        boolean personGenderInt0 = false;

        if ((dirtyFlags & 0x1000L) != 0) {

                // read PersonDetailFragment.FOREIGNKEYADAPTER_PERSON
                personDetailFragmentFOREIGNKEYADAPTERPERSON = com.ustadmobile.port.android.view.PersonDetailFragment.getFOREIGNKEYADAPTER_PERSON();
                // read PersonConstants.GENDER_MESSAGE_ID_MAP
                personConstantsGENDERMESSAGEIDMAP = com.ustadmobile.core.controller.PersonConstants.getGENDER_MESSAGE_ID_MAP();
        }
        if ((dirtyFlags & 0x1008L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(chatVisibility)
                androidxDatabindingViewDataBindingSafeUnboxChatVisibility = androidx.databinding.ViewDataBinding.safeUnbox(chatVisibility);
        }
        if ((dirtyFlags & 0x1020L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(changePasswordVisibility)
                androidxDatabindingViewDataBindingSafeUnboxChangePasswordVisibility = androidx.databinding.ViewDataBinding.safeUnbox(changePasswordVisibility);
        }
        if ((dirtyFlags & 0x1040L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(createAccountVisibility)
                androidxDatabindingViewDataBindingSafeUnboxCreateAccountVisibility = androidx.databinding.ViewDataBinding.safeUnbox(createAccountVisibility);
        }
        if ((dirtyFlags & 0x1680L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(dateTimeMode)
                androidxDatabindingViewDataBindingSafeUnboxDateTimeMode = androidx.databinding.ViewDataBinding.safeUnbox(dateTimeMode);
                if (person != null) {
                    // read person.dateOfBirth
                    personDateOfBirth = person.getDateOfBirth();
                }

            if ((dirtyFlags & 0x1400L) != 0) {

                    // read person.dateOfBirth != 0
                    personDateOfBirthInt0 = (personDateOfBirth) != (0);
                if((dirtyFlags & 0x1400L) != 0) {
                    if(personDateOfBirthInt0) {
                            dirtyFlags |= 0x40000L;
                    }
                    else {
                            dirtyFlags |= 0x20000L;
                    }
                }


                    // read person.dateOfBirth != 0 ? View.VISIBLE : View.GONE
                    personDateOfBirthInt0ViewVISIBLEViewGONE = ((personDateOfBirthInt0) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
            }
            if ((dirtyFlags & 0x1400L) != 0) {

                    if (person != null) {
                        // read person.parentJoin
                        personParentJoin = person.getParentJoin();
                        // read person.username
                        personUsername = person.getUsername();
                        // read person.gender
                        personGender = person.getGender();
                        // read person.personAddress
                        personPersonAddress = person.getPersonAddress();
                        // read person.phoneNum
                        personPhoneNum = person.getPhoneNum();
                        // read person.personUid
                        personPersonUid = person.getPersonUid();
                        // read person.personOrgId
                        personPersonOrgId = person.getPersonOrgId();
                        // read person.emailAddr
                        personEmailAddr = person.getEmailAddr();
                    }


                    // read person.parentJoin != null
                    personParentJoinJavaLangObjectNull = (personParentJoin) != (null);
                    // read StringExtKt.visibleIfNotNullOrEmpty(person.username)
                    stringExtKtVisibleIfNotNullOrEmptyPersonUsername = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(personUsername);
                    // read person.gender != 0
                    personGenderInt0 = (personGender) != (0);
                    // read StringExtKt.visibleIfNotNullOrEmpty(person.personAddress)
                    stringExtKtVisibleIfNotNullOrEmptyPersonPersonAddress = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(personPersonAddress);
                    // read StringExtKt.visibleIfNotNullOrEmpty(person.phoneNum)
                    stringExtKtVisibleIfNotNullOrEmptyPersonPhoneNum = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(personPhoneNum);
                    // read person.personOrgId != null
                    personPersonOrgIdJavaLangObjectNull = (personPersonOrgId) != (null);
                    // read StringExtKt.visibleIfNotNullOrEmpty(person.emailAddr)
                    stringExtKtVisibleIfNotNullOrEmptyPersonEmailAddr = com.ustadmobile.port.android.view.ext.StringExtKt.visibleIfNotNullOrEmpty(personEmailAddr);
                if((dirtyFlags & 0x1400L) != 0) {
                    if(personParentJoinJavaLangObjectNull) {
                            dirtyFlags |= 0x100000L;
                    }
                    else {
                            dirtyFlags |= 0x80000L;
                    }
                }
                if((dirtyFlags & 0x1400L) != 0) {
                    if(personGenderInt0) {
                            dirtyFlags |= 0x4000L;
                    }
                    else {
                            dirtyFlags |= 0x2000L;
                    }
                }
                if((dirtyFlags & 0x1400L) != 0) {
                    if(personPersonOrgIdJavaLangObjectNull) {
                            dirtyFlags |= 0x10000L;
                    }
                    else {
                            dirtyFlags |= 0x8000L;
                    }
                }


                    // read person.parentJoin != null ? View.VISIBLE : View.GONE
                    personParentJoinJavaLangObjectNullViewVISIBLEViewGONE = ((personParentJoinJavaLangObjectNull) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                    // read person.gender != 0 ? View.VISIBLE : View.GONE
                    personGenderInt0ViewVISIBLEViewGONE = ((personGenderInt0) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                    // read person.personOrgId != null ? View.VISIBLE : View.GONE
                    personPersonOrgIdJavaLangObjectNullViewVISIBLEViewGONE = ((personPersonOrgIdJavaLangObjectNull) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
            }
        }
        // batch finished
        if ((dirtyFlags & 0x1400L) != 0) {
            // api target 1

            this.addressConstraintlayout.setVisibility(stringExtKtVisibleIfNotNullOrEmptyPersonPersonAddress);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.addressValueTextview, personPersonAddress);
            this.emailConstraintlayout.setVisibility(stringExtKtVisibleIfNotNullOrEmptyPersonEmailAddr);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setOnClickEmail(this.emailConstraintlayout, personEmailAddr);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.emailValueText, personEmailAddr);
            this.fragmentPersonDetailCallLinlayout.setVisibility(stringExtKtVisibleIfNotNullOrEmptyPersonPhoneNum);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setOnClickDial(this.fragmentPersonDetailCallLinlayout, personPhoneNum);
            this.fragmentPersonDetailDobFieldnametext.setVisibility(personDateOfBirthInt0ViewVISIBLEViewGONE);
            this.fragmentPersonDetailDobImageview.setVisibility(personDateOfBirthInt0ViewVISIBLEViewGONE);
            this.fragmentPersonDetailDobValuetext.setVisibility(personDateOfBirthInt0ViewVISIBLEViewGONE);
            this.fragmentPersonDetailEmailLinlayout.setVisibility(stringExtKtVisibleIfNotNullOrEmptyPersonEmailAddr);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setOnClickEmail(this.fragmentPersonDetailEmailLinlayout, personEmailAddr);
            this.fragmentPersonDetailGenderFieldnametext.setVisibility(personGenderInt0ViewVISIBLEViewGONE);
            this.fragmentPersonDetailGenderValuetext.setVisibility(personGenderInt0ViewVISIBLEViewGONE);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setTextMessageIdOptionSelected(this.fragmentPersonDetailGenderValuetext, personGender);
            this.fragmentPersonDetailOrgidFieldnametext.setVisibility(personPersonOrgIdJavaLangObjectNullViewVISIBLEViewGONE);
            this.fragmentPersonDetailOrgidImageview.setVisibility(personPersonOrgIdJavaLangObjectNullViewVISIBLEViewGONE);
            this.fragmentPersonDetailOrgidValuetext.setVisibility(personPersonOrgIdJavaLangObjectNullViewVISIBLEViewGONE);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentPersonDetailOrgidValuetext, personPersonOrgId);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKey(this.fragmentPersonDetailPictureImageview, personPersonUid, (java.lang.String)null);
            this.fragmentPersonDetailTextLinlayout.setVisibility(stringExtKtVisibleIfNotNullOrEmptyPersonPhoneNum);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setOnClickSms(this.fragmentPersonDetailTextLinlayout, personPhoneNum);
            this.fragmentPersonDetailUsernameFieldnametext.setVisibility(stringExtKtVisibleIfNotNullOrEmptyPersonUsername);
            this.fragmentPersonDetailUsernameImageview.setVisibility(stringExtKtVisibleIfNotNullOrEmptyPersonUsername);
            this.fragmentPersonDetailUsernameValuetext.setVisibility(stringExtKtVisibleIfNotNullOrEmptyPersonUsername);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentPersonDetailUsernameValuetext, personUsername);
            this.manageParentalConsentButton.setVisibility(personParentJoinJavaLangObjectNullViewVISIBLEViewGONE);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setOnClickSms(this.phoneNumMessageImageview, personPhoneNum);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.phoneNumTextview, personPhoneNum);
            this.phonenumConstraintlayout.setVisibility(stringExtKtVisibleIfNotNullOrEmptyPersonPhoneNum);
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setOnClickDial(this.phonenumConstraintlayout, personPhoneNum);
        }
        if ((dirtyFlags & 0x1020L) != 0) {
            // api target 1

            this.changeAccountPasswordView.setVisibility(androidxDatabindingViewDataBindingSafeUnboxChangePasswordVisibility);
        }
        if ((dirtyFlags & 0x1000L) != 0) {
            // api target 1

            this.changeAccountPasswordView.setOnClickListener(mCallback79);
            this.createAccountView.setOnClickListener(mCallback78);
            this.fragmentPersonDetailChat.setOnClickListener(mCallback81);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setTextMessageIdOptions(this.fragmentPersonDetailGenderValuetext, personConstantsGENDERMESSAGEIDMAP, (java.lang.Integer)null, (java.lang.String)null);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKeyAdapter(this.fragmentPersonDetailPictureImageview, personDetailFragmentFOREIGNKEYADAPTERPERSON);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKeyAutoHide(this.fragmentPersonDetailPictureImageview, true);
            this.manageParentalConsentButton.setOnClickListener(mCallback80);
        }
        if ((dirtyFlags & 0x1040L) != 0) {
            // api target 1

            this.createAccountView.setVisibility(androidxDatabindingViewDataBindingSafeUnboxCreateAccountVisibility);
        }
        if ((dirtyFlags & 0x1008L) != 0) {
            // api target 1

            this.fragmentPersonDetailChat.setVisibility(androidxDatabindingViewDataBindingSafeUnboxChatVisibility);
        }
        if ((dirtyFlags & 0x1680L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTime2(this.fragmentPersonDetailDobValuetext, personDateOfBirth, timeZoneId, androidxDatabindingViewDataBindingSafeUnboxDateTimeMode);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 2: {
                // localize variables for thread safety
                // presenter != null
                boolean presenterJavaLangObjectNull = false;
                // presenter
                com.ustadmobile.core.controller.PersonDetailPresenter presenter = mPresenter;



                presenterJavaLangObjectNull = (presenter) != (null);
                if (presenterJavaLangObjectNull) {


                    presenter.handleChangePassword();
                }
                break;
            }
            case 3: {
                // localize variables for thread safety
                // presenter != null
                boolean presenterJavaLangObjectNull = false;
                // presenter
                com.ustadmobile.core.controller.PersonDetailPresenter presenter = mPresenter;



                presenterJavaLangObjectNull = (presenter) != (null);
                if (presenterJavaLangObjectNull) {


                    presenter.handleClickManageParentalConsent();
                }
                break;
            }
            case 1: {
                // localize variables for thread safety
                // presenter != null
                boolean presenterJavaLangObjectNull = false;
                // presenter
                com.ustadmobile.core.controller.PersonDetailPresenter presenter = mPresenter;



                presenterJavaLangObjectNull = (presenter) != (null);
                if (presenterJavaLangObjectNull) {


                    presenter.handleCreateAccount();
                }
                break;
            }
            case 4: {
                // localize variables for thread safety
                // presenter != null
                boolean presenterJavaLangObjectNull = false;
                // presenter
                com.ustadmobile.core.controller.PersonDetailPresenter presenter = mPresenter;



                presenterJavaLangObjectNull = (presenter) != (null);
                if (presenterJavaLangObjectNull) {


                    presenter.handleClickChat();
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): presenter
        flag 1 (0x2L): editButtonMode
        flag 2 (0x3L): loading
        flag 3 (0x4L): chatVisibility
        flag 4 (0x5L): fieldsEnabled
        flag 5 (0x6L): changePasswordVisibility
        flag 6 (0x7L): createAccountVisibility
        flag 7 (0x8L): dateTimeMode
        flag 8 (0x9L): manageParentConsentVisible
        flag 9 (0xaL): timeZoneId
        flag 10 (0xbL): person
        flag 11 (0xcL): personImageAdapter
        flag 12 (0xdL): null
        flag 13 (0xeL): person.gender != 0 ? View.VISIBLE : View.GONE
        flag 14 (0xfL): person.gender != 0 ? View.VISIBLE : View.GONE
        flag 15 (0x10L): person.personOrgId != null ? View.VISIBLE : View.GONE
        flag 16 (0x11L): person.personOrgId != null ? View.VISIBLE : View.GONE
        flag 17 (0x12L): person.dateOfBirth != 0 ? View.VISIBLE : View.GONE
        flag 18 (0x13L): person.dateOfBirth != 0 ? View.VISIBLE : View.GONE
        flag 19 (0x14L): person.parentJoin != null ? View.VISIBLE : View.GONE
        flag 20 (0x15L): person.parentJoin != null ? View.VISIBLE : View.GONE
    flag mapping end*/
    //end
}